package cmd

import (
	"fmt"
	"os"
	"xg_fetl/internal/controllers"

	"github.com/spf13/cobra"
)

// 定义导入子命令
var importCmd = &cobra.Command{
	Use:   "imp",
	Short: "导入数据模式",
	Run: func(cmd *cobra.Command, args []string) {
		// 定义参数变量
		inputPath, _ := cmd.Flags().GetString("input")
		tableName, _ := cmd.Flags().GetString("table")

		// 检查参数
		if inputPath == "" {
			fmt.Println("错误：必须指定文件名或文件目录 (-i)")
			cmd.Usage()
			os.Exit(1)
		}

		if tableName == "" {
			fmt.Println("错误：必须指定表名 (-t)")
			cmd.Usage()
			os.Exit(1)
		}

		// 打印接收到的参数
		fmt.Printf("执行模式: 导入\n")
		fmt.Printf("输入路径: %s\n", inputPath)
		fmt.Printf("表名: %s\n", tableName)
		controllers.ImportController(inputPath)
	},
}

// 初始化导入子命令的标志
func init() {
	importCmd.Flags().StringP("input", "i", "", "输入文件或目录路径")
	importCmd.Flags().StringP("table", "t", "", "目标表名 (例如: t1)")
}
